summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-11-28 12:17:01 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-11-28 14:28:43 +0100
commit13c834a6dd443e49ea6eb87cc8a6f8dbc104ac03 (patch)
tree29b9b08d7434bb983ef540e10c8afed2c8d5c071
parentdev-ml/findlib: bump to 1.7.1 (diff)
downloadgentoo-13c834a6dd443e49ea6eb87cc8a6f8dbc104ac03.tar.gz
gentoo-13c834a6dd443e49ea6eb87cc8a6f8dbc104ac03.tar.bz2
gentoo-13c834a6dd443e49ea6eb87cc8a6f8dbc104ac03.zip
www-servers/ocsigenserver: bump to 2.8
Package-Manager: portage-2.3.2
-rw-r--r--www-servers/ocsigenserver/Manifest1
-rw-r--r--www-servers/ocsigenserver/ocsigenserver-2.8.ebuild93
2 files changed, 94 insertions, 0 deletions
diff --git a/www-servers/ocsigenserver/Manifest b/www-servers/ocsigenserver/Manifest
index 3508f4707ed..029b681406a 100644
--- a/www-servers/ocsigenserver/Manifest
+++ b/www-servers/ocsigenserver/Manifest
@@ -1 +1,2 @@
DIST ocsigenserver-2.7.tar.gz 1262049 SHA256 01a477b180588fe0ac553177e84832448e02405bc73e432024e7a7ae21b3693f SHA512 e31fa428e1d86232e4066a93fc948b592e80bb3e8374efee4f40d02c53e8a713ade8aa9904623c1129c892557ac4a451928278b808abe190bb254e6e43aab256 WHIRLPOOL 1b55034d364da40b4bb0931b15da1a1c4c47f9133f1fd6099bfad57e6a43e5ce990a1a08295c740883b82f951cf3db9ad34ea1f70a818bd8296a678dc6b9b097
+DIST ocsigenserver-2.8.tar.gz 1265240 SHA256 5e9766089c23397a9af60642d80f6d9a2be722fe9f426f230ef1b41ec5c684ec SHA512 80d5125a93239c73756b03a0f50d83e691810f93a15525daef2f7ccd69279e348f03486c26319a9511c1a746f375317082a89ba37ce0ba22872d6db7d3fddf1b WHIRLPOOL d56d62e7effc94e5e5477e7b2d8de0733a74348a10f14473e47314d4fdcdce0f4ff47458e4a817e43de4269b72a6bd1171a4eb1570d7ef4c7e86a8c02e7afe1d
diff --git a/www-servers/ocsigenserver/ocsigenserver-2.8.ebuild b/www-servers/ocsigenserver/ocsigenserver-2.8.ebuild
new file mode 100644
index 00000000000..1d0abdc3876
--- /dev/null
+++ b/www-servers/ocsigenserver/ocsigenserver-2.8.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib findlib user
+
+if [ "${PV#9999}" != "${PV}" ] ; then
+ inherit git-r3
+ SRC_URI=""
+ EGIT_REPO_URI="https://github.com/ocsigen/ocsigenserver"
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/ocsigen/ocsigenserver/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64"
+fi
+
+DESCRIPTION="Ocaml-powered webserver and framework for dynamic web programming"
+HOMEPAGE="http://www.ocsigen.org"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+IUSE="debug doc dbm +ocamlopt +sqlite zlib"
+REQUIRED_USE="|| ( sqlite dbm )"
+RESTRICT="strip installsources"
+
+DEPEND=">=dev-ml/lwt-2.5.0:=[react,ssl]
+ >=dev-ml/react-0.9.3:=
+ zlib? ( >=dev-ml/camlzip-1.03-r1:= )
+ dev-ml/cryptokit:=
+ >=dev-ml/ocamlnet-3.6:=[pcre]
+ >=dev-ml/pcre-ocaml-6.2.5:=
+ >=dev-ml/tyxml-4:=[camlp4(+)]
+ >=dev-lang/ocaml-3.12:=[ocamlopt?]
+ dev-ml/ocaml-ipaddr:=
+ dbm? ( dev-ml/camldbm:= )
+ sqlite? ( dev-ml/ocaml-sqlite3:= )"
+RDEPEND="${DEPEND}"
+
+pkg_setup() {
+ enewgroup ocsigenserver
+ enewuser ocsigenserver -1 -1 /var/www ocsigenserver
+}
+
+src_configure() {
+ sh configure \
+ --prefix /usr \
+ --temproot "${ED}" \
+ --bindir /usr/bin \
+ --docdir /usr/share/doc/${PF} \
+ --mandir /usr/share/man/man1 \
+ --libdir /usr/$(get_libdir)/ocaml \
+ $(use_enable debug) \
+ $(use_with zlib camlzip) \
+ $(use_with sqlite) \
+ $(use_with dbm) \
+ --with-preempt \
+ --ocsigen-group ocsigenserver \
+ --ocsigen-user ocsigenserver \
+ --name ocsigenserver \
+ || die "Error : configure failed!"
+}
+
+src_compile() {
+ if use ocamlopt; then
+ emake
+ else
+ emake byte
+ fi
+ use doc && emake doc
+}
+
+src_install() {
+ findlib_src_preinst
+ if use ocamlopt; then
+ emake install
+ else
+ emake install.byte
+ fi
+ if use doc ; then
+ emake install.doc
+ fi
+ emake logrotate
+
+ newinitd "${FILESDIR}"/ocsigenserver.initd ocsigenserver || die
+ newconfd "${FILESDIR}"/ocsigenserver.confd ocsigenserver || die
+
+ dodoc README.md
+
+ # We create it at runtime
+ rm -f "${ED}/var/run/ocsigenserver_command" || die
+}